import { buildProps as j, definePropType as h } from "../../../utils/vue/props/runtime.mjs";
const t = j({
  virtualRef: {
    type: h(Object)
  },
  virtualTriggering: Boolean,
  onMouseenter: {
    type: h(Function)
  },
  onMouseleave: {
    type: h(Function)
  },
  onClick: {
    type: h(Function)
  },
  onKeydown: {
    type: h(Function)
  },
  onFocus: {
    type: h(Function)
  },
  onBlur: {
    type: h(Function)
  },
  onContextmenu: {
    type: h(Function)
  },
  id: String,
  open: Boolean
});
export {
  t as popperTriggerProps
};
